Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.sql
Class ConnectionCreator

    java.lang.Object
      |
      +--org.apache.cocoon.processor.sql.ConnectionCreator

public class ConnectionCreator
extends java.lang.Object

Utility methods for this processor.

Version:
  $Revision: 1.7 $ $Date: 2000/02/13 18:29:32 $
Author:
  Donald Ball

Field Summary
`protected java.lang.String` | `dburl`
`protected int` | `loginTimeout`
`protected java.lang.String` | `password`
`protected java.lang.String` | `username`

Constructor Summary
`ConnectionCreator(java.util.Properties props)`

Method Summary
`java.sql.Connection` | `getConnection()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dburl

    protected java.lang.String dburl

### username

    protected java.lang.String username

### password

    protected java.lang.String password

### loginTimeout

    protected int loginTimeout

Constructor Detail

### ConnectionCreator

    public ConnectionCreator(java.util.Properties props)

Method Detail

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.